Bug 1256426 (CVE-2015-5237) - CVE-2015-5237 protobuf: integer overflow in serialization
Summary: CVE-2015-5237 protobuf: integer overflow in serialization
Keywords:
Status: CLOSED CANTFIX
Alias: CVE-2015-5237
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20150827,reported=2...
Depends On:
Blocks: 1253278 1256432
TreeView+ depends on / blocked
 
Reported: 2015-08-24 14:32 UTC by Florian Weimer
Modified: 2019-06-08 20:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-27 08:53:18 UTC


Attachments (Terms of Use)

Description Florian Weimer 2015-08-24 14:32:30 UTC
It was discovered that the protobuf library and code generated by the
protobuf compiler store size information in an int variable, which may
truncate size values on 64-bit architectures, leading to a heap-based
buffer overflow.

Acknowledgements:

This issue was discovered by Florian Weimer of Red Hat Product Security.

Comment 2 Florian Weimer 2015-08-27 08:53:18 UTC
Upstream bug: https://github.com/google/protobuf/issues/760


Note You need to log in before you can comment on or make changes to this bug.